package org.cocktail.feve.components.evaluation;
// Generated by the WOLips TemplateEngine Plug-in at 10 mai 2005 15:03:25


import org.cocktail.feve.components.common.FeveWebComponent;
import org.cocktail.fwkcktlgrh.common.metier.EOEvaluation;
import org.cocktail.fwkcktlpersonne.common.metier.EOFormationPersonnel;
import org.cocktail.ycrifwk.utils.UtilDb;

import com.webobjects.appserver.WOComponent;
import com.webobjects.appserver.WOContext;


public class CompPageEvalEvol extends FeveWebComponent {

    public EOEvaluation inputLEvaluation;
    public boolean disabled;
    
    public boolean isModeModifPropo, isModeModifEnvis;

    public CompPageEvalEvol(WOContext context) {
        super(context);
    }

    public WOComponent enregistrer() throws Throwable {
        desactiverModeModifEnvis();
        desactiverModeModifPropo();
        UtilDb.save(ec, "");
        return neFaitRien();
    }
    
    public WOComponent annulerEnregistrer() throws Throwable {
        desactiverModeModifEnvis();
        desactiverModeModifPropo();
        ec.revert();
        return neFaitRien();
    }
    
    private void activerModeModifPropo() {
        isModeModifPropo = true;
    }
    
    private void desactiverModeModifPropo() {
        isModeModifPropo = false;
    }
    
    private void activerModeModifEnvis() {
        isModeModifEnvis = true;
    }
    
    private void desactiverModeModifEnvis() {
        isModeModifEnvis = false;
    }
    
    public WOComponent modifierPropo() {
        activerModeModifPropo();
        return neFaitRien();
    }
    
    public WOComponent modifierEvolu() {
        activerModeModifEnvis();
        return neFaitRien();
    }
    
    /**
     * inactif si
     * - isDisabled le composant
     * - mode modif envis ON
     * @return
     */
    public boolean isDisabledBtnModifPropo() {
        return disabled || isModeModifEnvis;
    }
    
    /**
     * inactif si
     * - isDisabled le composant
     * - mode modif propo ON
     * @return
     */
    public boolean isDisabledBtnModifEvolu() {
        return disabled || isModeModifPropo;
    }
    
    /**
     * inactif si
     * - isDisabled le composant
     * - mode modif propo off
     * @return
     */
    public boolean isDisabledTextePropo() {
        return disabled || !isModeModifPropo;
    }
     
    
    /**
     * inactif si
     * - isDisabled le composant
     * - mode modif envis off
     * @return
     */
    public boolean isDisabledTexteEnvis() {
        return disabled || !isModeModifEnvis;        
    }
     



  	public EOFormationPersonnel eoFormationPersonnel;
  	public String champLibre;
  	public boolean isRadioNomenclature;
  	
}